#include "musescore_svg_in_sintesi.h"


char *crea_nome_file_output( const char *nfIn );


int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPInst, LPSTR cmnd, int show ) {
    SintesiSvg s    = {0};
    char *nfIn      = NULL;
    char *nfOut     = NULL;
    char *nfOutDflt = NULL;

    int ok = 0 == T1_IdentificaFile( NULL, "*.svg", NULL, &nfIn );

    if( ok &&(ok=NULL!=(nfOutDflt=crea_nome_file_output(nfIn))) )
        ok = 0 == T1_IdentificaFile( NULL, "*.svg", nfOutDflt, &nfOut );

    if( ok && !(ok=acquisisci_tags_svg(nfIn,&s)) )
        MessageBox( NULL, "Acquisizione tags svg fallita.",
                    "Errore", MB_ICONHAND );

    if( ok && !(ok=scrivi_versione_sintetica(nfOut,&s)) )
        MessageBox( NULL, "Scrittura versione sintetica fallita.",
                    "Errore", MB_ICONHAND );

    distruggi_tags_svg( &s );

    if( nfIn )      free( nfIn );
    if( nfOut )     free( nfOut );
    if( nfOutDflt ) free( nfOutDflt );

    return 0;
}

char *crea_nome_file_output( const char *nfIn ) {
    char *nfOut = NULL;

    if( nfIn ) {
        char *pPunto = strrchr( nfIn, '.' );

        if( pPunto ) {
            size_t l = pPunto-nfIn;
            nfOut = malloc( l+14+1 );

            if( NULL!=nfOut ) {
                memcpy( nfOut, nfIn, l );
                memcpy( nfOut+l, " (sintesi).svg", 15 );
            }
        }
    }

    return nfOut;
}
