#ifndef MUSESCORE_SVG_IN_SINTESI_H_INCLUDED
#define MUSESCORE_SVG_IN_SINTESI_H_INCLUDED


#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>


typedef struct {
    int       tipo;
    int       classe;
    int       id;
    char     *_tag;

    char     *_fill;
    char     *_stroke;
    char     *_stroke_width;
    char     *_stroke_linecap;
    char     *_stroke_linejoin;
    char     *_fill_rule;
    char     *_transform;
    char     *_points;
    char     *_d;
} TagSvg;


typedef struct {
    char  **r;
    TagSvg *t;
    size_t  qr;
    size_t  qt;
    size_t  dim_dati_orig;
} SintesiSvg;


typedef struct {
    char _fill[8];
    char _stroke[8];
    char _stroke_width[32];
    char _stroke_linecap[8];
    char _stroke_linejoin[8];
    char _fill_rule[8];
} ModAttributiSvg;


enum {
    kPolyline,
    kPath,
    kUse,
    kTotTipi
};


enum {
    kAccidental,
    kArpeggio,
    kArticulation,
    kBarLine,
    kBeam,
    kBracket,
    kClef,
    kDynamic,
    kHook,
    kInstrumentName,
    kKeySig,
    kLedgerLine,
    kNote,
    kNoteDot,
    kPage,
    kRest,
    kSlurSegment,
    kStaffLines,
    kStaffText,
    kStem,
    kTempo,
    kText,
    kTimeSig,
    kTotClassi
};


enum {
    kFill,
    kStroke,
    kStroke_width,
    kStroke_linecap,
    kStroke_linejoin,
    kFill_rule,
    kTransform,
    kPoints,
    kD,
    kTotAttributi
};


enum {
    kLinejoinMiter,
    kLinejoinRound,
    kLinejoinBevel,
    kTotLinejoin
};


enum {
    kLinecapButt,
    kLinecapRound,
    kLinecapSquare,
    kTotLinecap
};


enum {
    kFillruleNonzero,
    kFillruleevenodd,
    kTotFillrule
};


#include "libreria_tutto_in_uno.h"
#include "acquisizione_tags_svg.h"
#include "scrittura_sintesi.h"


extern const char *kSTipi[];
extern const char *kSClassi[];
extern const char *kSAttr[];
extern const char *kSLinejoin[];
extern const char *kSLinecap[];
extern const char *kSFillrule[];


#endif // MUSESCORE_SVG_IN_SINTESI_H_INCLUDED
